{
	fetchFromGitHub ,
	stdenv ,
} :

with stdenv ;

mkDerivation {
	pname = "python-django-pgtrigger" ;
	version = "2024-12-24-fa2155e" ;
	
	src = fetchFromGitHub {
		owner = "ambitioneng" ;
		repo = "django-pgtrigger" ;
		rev = "fa2155e630da8752a22a6c4ab81eb0e19f5979eb" ;
		hash = "sha256-K+JjAermtSiVUnPbtyabpQN2ghnRIkwt329Ytp8zeQk=" ;
	} ;
	
	installPhase = ''
		runHook preInstall
	
		mkdir -p $out/lib/python3.11/site-packages
		cp -r $src/pgtrigger $out/lib/python3.11/site-packages/
	
		runHook postInstall
	'' ;
}
