{
	fetchFromGitHub ,
	stdenv ,
} :

with stdenv ;

mkDerivation {
	pname = "python-bw-file-resubmit" ;
	version = "2023-11-08-0655eb2" ;

	src = fetchFromGitHub {
		owner = "bookwyrm-social" ;
		repo = "bw-file-resubmit" ;
		rev = "0655eb24d77b5440f0221df99d87bbb1ea588181" ;
		hash = "sha256-RT3fF2oMsf0klUwMBJ02Dgdt2rsoB7A3SjiuyVuYU7A=" ;
	} ;

	installPhase = ''
		runHook preInstall

		mkdir -p $out/lib/python3.11/site-packages
		cp -r $src/src/file_resubmit $out/lib/python3.11/site-packages/

		runHook postInstall
	'' ;
}
