{
	fetchFromGitHub ,
	stdenv ,
} :

with stdenv ;

mkDerivation {
	pname = "python-django-sass-processor" ;
	version = "2024-05-29-0d8cb67" ;
	
	src = fetchFromGitHub {
		owner = "jrief" ;
		repo = "django-sass-processor" ;
		rev = "0d8cb672aab9ecc45e8492794530ca847ce24547" ;
		hash = "sha256-Z3UzzkHlMNiyhj7YPRDgAX0437BywPG/waNSPoNiKLo=" ;
	} ;
	
	installPhase = ''
		runHook preInstall
	
		mkdir -p $out/lib/python3.11/site-packages
		cp -r $src/sass_processor $out/lib/python3.11/site-packages/
	
		runHook postInstall
	'' ;
}
